> ## Documentation Index > Fetch the complete documentation index at: https://www.canva.dev/docs/print-partnerships/llms.txt > Use this file to discover all available pages before exploring further. # Restore a user Partners can restore a [deleted user](https://www.canva.dev/docs/print-partnerships/rest-api/delete-a-user/) within 14 days of deleting them. After 14 days, Canva deletes the user permanently. When a partner restores a deleted user, Canva recovers the designs, artworks, media uploads, and all other information related to the user. ## Request ### Method POST ### Endpoint ```bash https://api.canva.com/_tpi/partnership//users//undelete ``` ### Headers | Header | Description | | --------------- | ------------------------------------------------------------------------------------------------------------------------------ | | `Authorization` | An integration's [Artwork API secret](https://www.canva.dev/docs/print-partnerships/concepts/credentials/#artwork-api-secret). | ### Path parameters | Parameter | Type | Required | Description | | ---------------- | ------ | :------: | -------------------------------------------------------------------------------------------------------------- | | `partnerId` | string | Yes | An integration's [partner ID](https://www.canva.dev/docs/print-partnerships/concepts/credentials/#partner-id). | | `externalUserId` | string | Yes | The user ID in the partner's backend system. This is the user ID used when generating the autoAuthToken. | ### Body The request body is empty. ## Response ### 200 - Success The response when Canva successfully restores a deleted user. ### 401 - Unauthorized The response when Canva doesn't recognize a partner ID or an Artwork API secret. ### 403 - Forbidden The response when the user ID belongs to an active user or a permanently deleted user. ### 404 - Not Found The response when Canva doesn't recognize a user ID. ## Example ```text curl -XPOST -H 'Authorization: ' 'https://api.canva.com/_tpi/partnership//users//undelete' ```